<?php

	include("../../config.php");
	include("settings.php");
	
	if($updatePassword!=$_GET['password']){
		echo "Incorrect password.";
		die;
	}
	
	
	
	// check if table already exists
	if(
		mysqli_num_rows(
			mysqli_query($con,
				"
					SHOW TABLES LIKE 'webcam'
				"
			)
		) > 0
	){
		// table exists, do nothing
	}
	else{ // table does not exist, create it
		mysqli_query($con,
		"	
			 CREATE  TABLE  `$dbName`.`webcam` (  
				`DateTime` datetime NOT  NULL ,
				`T` decimal( 4, 1) NOT  NULL ,
				`H` int( 3) NOT  NULL ,
				`P` decimal( 6, 2) NOT  NULL ,
				`img` varchar( 15) NOT  NULL ,
				`R` decimal( 6, 2) NOT  NULL ,
				`RR` decimal( 6, 2) NOT  NULL ,
				`S` decimal( 6, 1) NOT  NULL ,
				`W` decimal( 4, 1) NOT  NULL ,
				`G` decimal( 4, 1) NOT  NULL ,
				PRIMARY  KEY (  `DateTime`  ) ,
				UNIQUE  KEY  `DateTime` (  `DateTime`  ) 
			 ) ENGINE  =  MyISAM  DEFAULT CHARSET  = utf8 COLLATE  = utf8_unicode_ci;
		"
		);
	}
	
	$result = mysqli_query($con,"
		SELECT T,H,P,R, RR, W, S, G
		FROM alldata 
		ORDER BY DateTime Desc
		LIMIT 1
		"
	);
	while($row = mysqli_fetch_array($result)){
		$T = $row['T'];
		$H = $row['H'];
		$P = $row['P'];
		$R = $row['R'];
		$W = $row['W'];
		$G = $row['G'];
		$S = $row['S'];
		$RR = $row['RR'];
	}
	
	if($S==""){
		$S = 0;
	}
	
	$imageTS = time();
	$imageURL = $webcamImgURL;
	
	// images
	

	$imageFile = file_get_contents($imageURL);
	$name = date("YmdHi",$imageTS);
	
	$fp = fopen("images/".$name.".jpg", "w");
	fwrite($fp, $imageFile);
	fclose($fp);
	
	imagejpeg(resize_image("images/".$name.".jpg", $thumbDimension, $thumbDimension),"images/thumbnails/".$name.".jpg");
	
	$dt = date("Y-m-d H:i:s",$imageTS);
	
	$query = "INSERT INTO webcam (DateTime, T, H, P, R, RR, S, W, G,  img) VALUES ('$dt',$T, $H, $P, $R, $RR, $S, $W, $G, '$name')";
	echo $query;
	mysqli_query($con,$query);
	
	function resize_image($file, $w, $h, $crop=FALSE) {
		list($width, $height) = getimagesize($file);
		$r = $width / $height;
		if ($crop) {
			if ($width > $height) {
				$width = ceil($width-($width*abs($r-$w/$h)));
			} else {
				$height = ceil($height-($height*abs($r-$w/$h)));
			}
			$newwidth = $w;
			$newheight = $h;
		} else {
			if ($w/$h > $r) {
				$newwidth = $h*$r;
				$newheight = $h;
			} else {
				$newheight = $w/$r;
				$newwidth = $w;
			}
		}
		$src = imagecreatefromjpeg($file);
		$dst = imagecreatetruecolor($newwidth, $newheight);
		imagecopyresampled($dst, $src, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);

		return $dst;
	}
	
?>